
OF=$0.output
ode -R 0.001 -r 1e-7 >$OF  <<__END__
# The Lorenz model, a system of three coupled ODE's with parameter r.
x' = -3*(x-y)
y' = -x*z+r*x-y
z' = x*y-z

r = 26
x = 0; y = 1; z = 0

print t, x, y, z
step 0, 100
__END__

gnuplot  <<__END__
set nokey
set term pdf; set output "$OF.pdf"
set title "Lorenz equation"
set xlabel "t"
set ylabel "x"
plot "$OF" using 1:2 with lines
set ylabel "y"
plot "$OF" using 1:3 with lines
set ylabel "z"
plot "$OF" using 1:4 with lines

set xlabel "x"
set ylabel "y"
plot "$OF" using 2:3 with lines

__END__

rm -f $OF
